/* **********************************************************
 * Copyright (C) 2008 VMware, Inc.  All Rights Reserved. -- VMware Confidential
 * **********************************************************/

/*
 * Detect whether smp_call_function has 4 or 3 arguments.
 * Change happened between 2.6.26 and 2.6.27-rc1.
 */

#include <linux/autoconf.h>
#include <linux/version.h>

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26)
#   error This compile test intentionally fails.
#elif LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 27)
#   include <linux/smp.h>

int
vmware_smp_call_function(void (*func)(void *info), void *info, int wait)
{
   return smp_call_function(func, info, wait);
}
#endif
